<?php
# @version $Id: modules/mod_apoll/helper.php 0001 2009-03-08 18:10
# @package: Apoll Vote Module
# ===================================================
# @author
# Name: Hristo Genev
# Email: harrygg@gmail.com
# Url: http://apoll.genev.info
# ===================================================
# @copyright Copyright (C) 2008 Apoll.genev.info. All rights reserved.
# @license see http://www.gnu.org/licenses/lgpl.html GNU/LGPL.
# You can use, redistribute this file and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation.
# License http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL, see LICENSE.php

// no direct access
defined('_JEXEC') or die('Restricted access');

class modApollHelper
{
	function getApoll($id)
	{
		$db		=& JFactory::getDBO();
		$result	= null;

		$query = 'SELECT id, title,'
			.' CASE WHEN CHAR_LENGTH(alias) THEN CONCAT_WS(\':\', id, alias) ELSE id END as slug '
			.' FROM #__apolls'
			.' WHERE id = '.(int) $id
			.' AND published = 1'
			;
		$db->setQuery($query);
		$result = $db->loadObject();

		if ($db->getErrorNum()) {
			JError::raiseWarning( 500, $db->stderr() );
		}

		return $result;
	}

	function getApollOptions($id)
	{
		$db	=& JFactory::getDBO();

		$query = 'SELECT id, text, ordering' .
			' FROM #__apoll_data' .
			' WHERE apollid = ' . (int) $id .
			' AND text <> ""' .
			' ORDER BY ordering';
		$db->setQuery($query);

		if (!($options = $db->loadObjectList())) {
			echo "MD ".$db->stderr();
			return;
		}

		return $options;
	}
	// checks if user has voted (if cookie is set)
	function alreadyVoted($id) {
	
		global $mainframe;
		
		$cookieName	= JUtility::getHash( $mainframe->getName() . 'apoll' . $id );
		$voted = JRequest::getVar( $cookieName, '0', 'COOKIE', 'INT');
		
		return $voted;
	}
}
?>
